Bug 1378777 (CVE-2016-7540) - CVE-2016-7540 ImageMagick: writing to rgf format aborts
Summary: CVE-2016-7540 ImageMagick: writing to rgf format aborts
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-7540
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160619,reported=2...
Depends On: 1378790
Blocks: 1378785
TreeView+ depends on / blocked
 
Reported: 2016-09-23 08:58 UTC by Adam Mariš
Modified: 2019-06-08 21:28 UTC (History)
12 users (show)

Fixed In Version: ImageMagick 6.9.4-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 16:02:57 UTC


Attachments (Terms of Use)

Comment 1 Adam Mariš 2016-09-23 09:37:10 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1378790]

Comment 2 Stefan Cornelius 2016-09-27 16:00:16 UTC
Our RHEL ImageMagick packages don't have support for the RGF format. It was only introduced in later upstream versions.



Statement:

This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5, 6, and 7, as they did not include support for the RGF format.


Note You need to log in before you can comment on or make changes to this bug.